If you can read this text, it means you are not experiencing this website at its best. This website is designed for used with a standards-compliant browser.
Current version: 2.3.1
ZThreads
A platform-independent, multi-threading and synchronization library for C++
Home Documentation Downloads CVS Contact

# LockedQueue Class Template Reference

`#include <LockedQueue.h>`

Inheritance diagram for LockedQueue:

List of all members.

## Public Member Functions
| LockedQueue ()
| Create a LockedQueue.
virtual | ~LockedQueue ()
| Destroy a LockedQueue.
virtual void | add (const T &item)
virtual bool | add (const T &item, unsigned long timeout)
virtual T | next ()
virtual T | next (unsigned long timeout)
virtual void | cancel ()
virtual bool | isCanceled ()
virtual size_t | size ()
virtual size_t | size (unsigned long timeout)

## Detailed Description

### template<class T, class LockType, typename StorageType = std::deque<T>>
class ZThread::LockedQueue< T, LockType, StorageType >

Author:
  Eric Crahen <http://www.code-foo.com>

Date:
  <2003-07-16T11:42:33-0400>

Version:
  2.3.0

A LockedQueue is the simple Queue implementation that provides serialized access to the values added to it.

## Member Function Documentation

virtual bool add | ( | const T & | item,
|  | unsigned long | timeout
| ) | `[inline, virtual]`

| See also: Queue::add(const T& item, unsigned long timeout) Implements Queue.

virtual void add | ( | const T & | item | ) | `[inline, virtual]`

| See also: Queue::add(const T& item) Implements Queue.

virtual void cancel | ( |  | ) | `[inline, virtual]`

| See also: Queue::cancel() Implements Queue.

virtual bool isCanceled | ( |  | ) | `[inline, virtual]`

| See also: Queue::isCanceled() Implements Cancelable.

virtual T next | ( | unsigned long | timeout | ) | `[inline, virtual]`

| See also: Queue::next(unsigned long timeout) Implements Queue.

virtual T next | ( |  | ) | `[inline, virtual]`

| See also: Queue::next() Implements Queue.

virtual size_t size | ( | unsigned long | timeout | ) | `[inline, virtual]`

| See also: Queue::size(unsigned long timeout) Implements Queue.

virtual size_t size | ( |  | ) | `[inline, virtual]`

| See also: Queue::size() Implements Queue.

The documentation for this class was generated from the following file:

- LockedQueue.h